<?php

namespace WpieFw\Settings\Iterator;

use WpieFw\Framework\Patterns\Iterator\WpieCollection;
use WpieFw\Settings\Iterator\WpieAbstractSetting;
use WpieFw\Exceptions\WpieInvalidArgumentException;

if( ! defined( 'ABSPATH' ) ) exit;

final class WpieSettingsCollection extends WpieCollection
{
	public function __construct( array $collection = [] )
	{
		parent::__construct( $collection );
	}

	/**
	 * @param string $offset
	 * @param WpieAbstractSetting $value
	 */
	public function offsetSet( $offset, $value )
	{
		if( '' === trim( $offset ) ) {
			throw new WpieInvalidArgumentException( 'Cannot add setting to collection. Index is empty.' );
		}
		if( !$value instanceof WpieAbstractSetting ) {
			throw new WpieInvalidArgumentException( 'Cannot add setting to collection. Value is not a WpieAbstractSetting instance.' );
		}

		$this->collection[$offset] = $value;
	}

	/**
	 * Get all setting names
	 *
	 * @return NULL[]
	 */
	public function getSettingNames()
	{
		$names = [];

		foreach ( $this as $setting ) {
			$names[] = $setting->getName();
		}

		return $names;
	}
}