<?php
/**
 * Please see wp-cookie-allow.php for more details.
 *
 * @author $Vincent Weber <vincent@webrtistik.nl>$
 *
 * This file contains the upgrade logic
 */

if( ! defined( 'ABSPATH' ) ) exit;

add_action( 'wpca_wpiefw_upgrade_logic', 'wpca_wpiefw_upgrade_logic', 10, 5 );

/**
 * Callback for wpca_wpiefw_upgrade_logic hook
 *
 * Handles upgrade logic
 *
 * @param string $currVersionPlugin
 * @param string $newVersionPlugin
 * @param string $wpiefwVersionOld
 * @param string $versionWpieFw
 * @param bool $network_wide
 *
 * @since 2.3.3
 */
function wpca_wpiefw_upgrade_logic( $currVersionPlugin, $newVersionPlugin, $wpiefwVersionOld, $versionWpieFw, $networkWide )
{
	if( version_compare( $wpiefwVersionOld, '1.4.14', '<=' ) ) {
		delete_option( 'wpca_globals' );
	}
	// from version 3.2.7 the file is named i18n.php (lower case i)
	if( version_compare( $newVersionPlugin, '3.2.7', '>=' ) ) {
		@unlink( dirname( __FILE__ ).'/settings/I18n.php' );

		// from WeePie Framework v2.0, settings fields are stored as serialized arrays
		// there for delete the old fields entries, which were storing XML strings
		$options = [
			'general',
			'style',
			'content',
			'consent_log'
		];
		foreach ( $options as $option ) {
			delete_option( "wpca_settings_{$option}_fields" );
		}

		delete_option( "active_wpie_plugins" );
	}
}